## plasma-pa 5.5.5

=== CMakeLists.txt ===
project(plasma-volume-control)
cmake_minimum_required(VERSION 2.8.12)

set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_pulseaudio\")

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 REQUIRED COMPONENTS
    Core
    DBus
    Widgets
    Quick
)
find_package(KF5 REQUIRED COMPONENTS
    CoreAddons
    Declarative
    DocTools
    GlobalAccel
    I18n
    Plasma
)
find_package(PulseAudio REQUIRED)
find_package(GLIB2 REQUIRED)

add_subdirectory(applet)
add_subdirectory(src)
add_subdirectory(data)
# add_subdirectory(doc) # pending https://git.reviewboard.kde.org/r/124692/

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory(doc)

=== data/CMakeLists.txt ===
# installed twice for kmix builds on kdelibs4 and kf5
execute_process(COMMAND kde4-config --install data
                OUTPUT_VARIABLE KDE4_DATA_DIR
	        OUTPUT_STRIP_TRAILING_WHITESPACE
	        RESULT_VARIABLE kde4config_failed)

if (kde4config_failed)
    message(FAILED "Couldn't find kde4-config from kde4libs for kconf_update files")
else()
    install(FILES disable_kmix.upd DESTINATION ${KDE4_DATA_DIR}/kconf_update)
    install(PROGRAMS plasmaVolumeDisableKMixAutostart.pl DESTINATION ${KDE4_DATA_DIR}/kconf_update)
endif()
install(FILES disable_kmix.upd DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kconf_update)
install(PROGRAMS plasmaVolumeDisableKMixAutostart.pl DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kconf_update)

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(pt_BR)
add_subdirectory(uk)
add_subdirectory(ca)

=== src/CMakeLists.txt ===
include_directories(${PULSEAUDIO_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR})

set(SRC_LIST
    card.cpp
    client.cpp
    context.cpp
    device.cpp
    maps.cpp
    operation.cpp
    port.cpp
    profile.cpp
    pulseaudio.cpp
    pulseobject.cpp
    ref.cpp
    sink.cpp
    sinkinput.cpp
    source.cpp
    sourceoutput.cpp
    stream.cpp
    volumeobject.cpp
    debug.cpp
)

add_library(QPulseAudioPrivate SHARED ${SRC_LIST})
target_link_libraries(QPulseAudioPrivate
    Qt5::Core
    ${PULSEAUDIO_LIBRARY}
    ${PULSEAUDIO_MAINLOOP_LIBRARY}
)
install(TARGETS QPulseAudioPrivate ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(kcm)
add_subdirectory(qml)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR plasma-pa)

## plasma-pa 5.4.2

=== debian/changelog ===
plasma-pa (4:5.4.2-0ubuntu3) wily; urgency=medium

  * Add build-dep on kdelibs-bin for kde4-config

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Oct 2015 16:21:57 +0100

plasma-pa (4:5.4.2-0ubuntu2) wily; urgency=medium

  * Add kubuntu_install-kconf-update.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Oct 2015 23:01:33 +0100

plasma-pa (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 16:01:11 +0100

plasma-pa (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:24:06 +0100

plasma-pa (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:55:52 +0100

plasma-pa (4:5.3.95-0ubuntu1) wily; urgency=low

  [ Debian/Kubuntu KDE Extras Team ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:20:41 +0200

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               extra-cmake-modules,
               kdelibs-bin,
               libglib2.0-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libpulse-dev,
               pkg-kde-tools,
               plasma-framework-dev,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/plasma-pa.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-pa.git

Package: plasma-pa
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma 5 Volume controller
 Volume controller for Plasma 5

Package: plasma-pa-dbg
Architecture: any
Priority: extra
Section: debug
Depends: plasma-pa (= ${binary:Version}), ${misc:Depends}
Description: Plasma 5 Volume Controller -- Debug Symbols
 Volume controller for Plasma 5
 .
 Debugging symbols

Package: plasma-volume-control
Depends: plasma-pa, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
 .
 Can be dropped after 2015-10.

## plasma-pa 5.5.5

=== debian/changelog ===
plasma-pa (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:55:27 -0700

plasma-pa (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian Merge: Remaining changes:
  * Added conflict to kmix as the two installed at the same
    time renders plasma-pa unusable until kmix is disabled. 
  * Again in unstable branch. 
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:28:27 +0100

plasma-pa (5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:34 +0100

plasma-pa (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:44:11 +0100

plasma-pa (4:5.4.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 05 Oct 2015 12:12:14 -0700

plasma-pa (5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:44 +0200

plasma-pa (5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:44:51 +0200

plasma-pa (5.4.0-1) unstable; urgency=medium

  * Initial Debian release.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 18:46:56 +0200

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 8.0.0),
               extra-cmake-modules (>= 5.18.0~),
               kdoctools-dev (>= 5.18.0~),
               libglib2.0-dev,
               libkf5configwidgets-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5declarative-dev (>= 5.18.0~),
               libkf5globalaccel-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libpulse-dev,
               pkg-kde-tools,
               plasma-framework-dev (>= 5.18.0~),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-pa.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-pa.git

Package: plasma-pa
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma 5 Volume controller
 Volume controller for Plasma 5

Package: plasma-pa-dbg
Architecture: any
Priority: extra
Section: debug
Depends: plasma-pa (= ${binary:Version}), ${misc:Depends}
Description: Plasma 5 Volume Controller -- Debug Symbols
 Volume controller for Plasma 5
 .
 Debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=plasma-pa-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/plasma-pa-([\d.]+).tar.xz

## plasma-pa 5.7.5

=== debian/changelog ===
plasma-pa (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:29:50 -0500

plasma-pa (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:08:25 +0000

plasma-pa (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 21:09:44 +0100

plasma-pa (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:26:55 -0700

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 8.0.0),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               libglib2.0-dev,
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5globalaccel-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libpulse-dev,
               pkg-kde-tools,
               plasma-framework-dev (>= 5.24.0~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa

Package: plasma-pa
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma 5 Volume controller
 Volume controller for Plasma 5

Package: plasma-pa-dbg
Architecture: any
Priority: extra
Section: debug
Depends: plasma-pa (= ${binary:Version}), ${misc:Depends}
Description: Plasma 5 Volume Controller -- Debug Symbols
 Volume controller for Plasma 5
 .
 Debugging symbols

## plasma-pa 5.8.6

=== CMakeLists.txt ===
project(plasma-volume-control)
cmake_minimum_required(VERSION 2.8.12)

set(PROJECT_VERSION "5.8.6")
set(PROJECT_VERSION_MAJOR 5)

set (QT_MIN_VERSION "5.4.0")
set (ECM_MIN_VERSION "0.0.14")

find_package(ECM ${ECM_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_pulseaudio\")

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)

include(FindPkgConfig)
pkg_check_modules(GCONF REQUIRED gconf-2.0)
pkg_check_modules(GOBJECT REQUIRED gobject-2.0)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    DBus
    Widgets
    Quick
)
find_package(KF5 REQUIRED COMPONENTS
    CoreAddons
    Declarative
    DocTools
    GlobalAccel
    I18n
    Plasma
)
find_package(PulseAudio 5.0.0 REQUIRED)
find_package(Canberra REQUIRED)
find_package(GLIB2 REQUIRED)

add_subdirectory(applet)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(doc)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/qml/CMakeLists.txt ===
set(qml_SRCS
    qmldir
    PulseObjectFilterModel.qml
)

set(cpp_SRCS
    globalactioncollection.cpp
    plugin.cpp
    volumeosd.cpp
    volumefeedback.cpp
)

set_property(SOURCE dbus/osdService.xml APPEND PROPERTY CLASSNAME OsdServiceInterface)
qt5_add_dbus_interface(dbus_SRCS dbus/osdService.xml osdservice)

add_library(plasma-volume-declarative SHARED ${dbus_SRCS} ${cpp_SRCS} ${qml_SRCS})
target_link_libraries(plasma-volume-declarative
    Qt5::DBus
    Qt5::Quick
    KF5::GlobalAccel
    QPulseAudioPrivate
    ${CANBERRA_LIBRARIES}
)

set(PRIVATE_QML_INSTALL_DIR ${QML_INSTALL_DIR}/org/kde/plasma/private/volume)
install(TARGETS plasma-volume-declarative DESTINATION ${PRIVATE_QML_INSTALL_DIR})
install(FILES ${qml_SRCS} DESTINATION ${PRIVATE_QML_INSTALL_DIR})

=== debian/changelog ===
plasma-pa (4:5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6)
  * Add missing dependency pulseaudio-module-gconf

 -- Maximiliano Curia <maxy@debian.org>  Thu, 16 Mar 2017 15:46:22 +0100

plasma-pa (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:22 +0100

plasma-pa (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:38:14 +0100

plasma-pa (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:23:55 +0200

plasma-pa (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:59:28 +0200

plasma-pa (5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)
  * Update build-deps and deps with the info from cmake
  * Add missing build dependency (libgconf2-dev)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:05:58 +0200

plasma-pa (4:5.8.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 Sep 2016 11:29:54 +0000

plasma-pa (4:5.7.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Sep 2016 13:47:29 +0000

plasma-pa (4:5.7.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Aug 2016 17:28:56 +0000

plasma-pa (4:5.7.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2016 12:04:34 +0000

plasma-pa (4:5.7.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Jul 2016 13:48:09 +0000

plasma-pa (4:5.7.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 16:06:56 +0000

plasma-pa (4:5.7.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Jul 2016 15:07:08 +0000

plasma-pa (4:5.6.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Jun 2016 14:14:25 +0000

plasma-pa (4:5.6.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 May 2016 09:42:12 +0000

plasma-pa (4:5.6.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Apr 2016 16:55:22 +0000

plasma-pa (4:5.6.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Apr 2016 11:44:43 +0000

plasma-pa (5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:05:54 +0200

plasma-pa (5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 22:40:13 +0200

plasma-pa (5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 11:17:20 +0200

plasma-pa (5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.5.5).
  * Force installing in debian/tmp
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Add lintian-overrides for libQPulseAudioPrivate.so
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add new lintian-override for the private library

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:26:59 +0200

plasma-pa (5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:42 +0100

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               libcanberra-dev,
               libgconf2-dev,
               libglib2.0-dev,
               libkf5configwidgets-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5declarative-dev (>= 5.18.0~),
               libkf5doctools-dev,
               libkf5globalaccel-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5plasma-dev,
               libpulse-dev (>= 5.0.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-pa.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-pa.git

Package: plasma-pa
Architecture: any
Depends: plasma-framework,
         pulseaudio,
         pulseaudio-module-gconf,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma 5 Volume controller
 Volume controller for Plasma 5

## plasma-pa 5.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(plasma-volume-control)
 cmake_minimum_required(VERSION 2.8.12)
 
-set(PROJECT_VERSION "5.8.6")
+set(PROJECT_VERSION "5.9.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set (QT_MIN_VERSION "5.4.0")

=== debian/changelog ===
plasma-pa (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:59:27 +0000

plasma-pa (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:53:20 +0000

plasma-pa (4:5.9.2-0ubuntu2) zesty; urgency=medium

  * Fix to packaging suggested by upstream KDE developers. Thanks to
    David Edmundson.
    - Plasma-pa uses gconf settings to enable modules and have them
      autoloaded next boot. Without having the gconf module some
      settings don't work. Add pulseaudio-module-gconf to runtime
      depends.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Feb 2017 13:54:43 +0000

plasma-pa (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:06:27 +0000

plasma-pa (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:21:23 +0000

plasma-pa (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:55:53 +0000

plasma-pa (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:11 +0000

plasma-pa (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian, dropping the -dbg package in the process.

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * Update build depends to new KF5 package names
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:55:16 +0000

plasma-pa (4:5.7.2-0ubuntu2) UNRELEASED; urgency=medium

  * New build depend on libcanberra-dev
  * Bump debhelper build depends to version 9

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 28 Jul 2016 22:57:15 +0100

## plasma-pa 5.9.5

=== debian/changelog ===
plasma-pa (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:16:54 +0100

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libcanberra-dev,
               libgconf2-dev,
               libglib2.0-dev,
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libpulse-dev (>= 5.0.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa

Package: plasma-pa
Architecture: any
Depends: plasma-framework,
         pulseaudio,
         pulseaudio-module-gconf,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma 5 Volume controller
 Volume controller for Plasma 5

## plasma-pa 5.10.5

=== debian/changelog ===
plasma-pa (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:40:25 +0100

plasma-pa (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:38:26 +0100

plasma-pa (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:59 +0100

plasma-pa (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:13:24 +0100

plasma-pa (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:07 +0100

plasma-pa (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:50:25 +0100

plasma-pa (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:33:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
                libcanberra-dev,
                libgconf2-dev,
                libglib2.0-dev,
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5declarative-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5declarative-dev (>= 5.36.0~),
+               libkf5doctools-dev (>= 5.36.0~),
+               libkf5globalaccel-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5plasma-dev (>= 5.36.0~),
                libpulse-dev (>= 5.0.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),

## plasma-pa 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 project(plasma-volume-control)
 cmake_minimum_required(VERSION 2.8.12)
 
-set(PROJECT_VERSION "5.9.4")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
 
-set (QT_MIN_VERSION "5.4.0")
-set (ECM_MIN_VERSION "0.0.14")
+set(QT_MIN_VERSION "5.7.0")
+set(KF5_MIN_VERSION "5.30.0")
 
-find_package(ECM ${ECM_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM 1.8.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcm_pulseaudio\")
@@ -29,7 +29,7 @@
     Widgets
     Quick
 )
-find_package(KF5 REQUIRED COMPONENTS
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     Declarative
     DocTools
@@ -50,3 +50,8 @@
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
+
+  find_package(KF5DocTools CONFIG)
+  if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+  endif()

=== data/CMakeLists.txt ===
install(FILES disable_kmix.upd DESTINATION ${SHARE_INSTALL_PREFIX}/kde4/apps/kconf_update)
install(PROGRAMS plasmaVolumeDisableKMixAutostart.pl DESTINATION ${SHARE_INSTALL_PREFIX}/kde4/apps/kconf_update)

install(FILES disable_kmix.upd DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)
install(PROGRAMS plasmaVolumeDisableKMixAutostart.pl DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)

=== debian/changelog ===
plasma-pa (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:54:48 +0100

plasma-pa (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:01 +0000

plasma-pa (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:36 +0000

plasma-pa (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:38 +0000

plasma-pa (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:05 +0000

plasma-pa (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:50 +0000

plasma-pa (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:16:20 -0600

plasma-pa (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:14 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
                libcanberra-dev,
                libgconf2-dev,
                libglib2.0-dev,
-               libkf5configwidgets-dev (>= 5.36.0~),
-               libkf5coreaddons-dev (>= 5.36.0~),
-               libkf5declarative-dev (>= 5.36.0~),
-               libkf5doctools-dev (>= 5.36.0~),
-               libkf5globalaccel-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5plasma-dev (>= 5.36.0~),
+               libkf5configwidgets-dev (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5declarative-dev (>= 5.42.0~),
+               libkf5doctools-dev (>= 5.42.0~),
+               libkf5globalaccel-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5plasma-dev (>= 5.42.0~),
                libpulse-dev (>= 5.0.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-pa-dbg (<= 5.5.5-1~~)'

## plasma-pa 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(plasma-volume-control)
 cmake_minimum_required(VERSION 2.8.12)
 
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.7.0")

=== src/CMakeLists.txt ===
include_directories(${PULSEAUDIO_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR}     ${GCONF_INCLUDE_DIRS}
    ${GOBJECT_INCLUDE_DIRS})

set(cpp_SRCS
    card.cpp
    client.cpp
    context.cpp
    device.cpp
    maps.cpp
    operation.cpp
    port.cpp
    profile.cpp
    pulseaudio.cpp
    pulseobject.cpp
    sink.cpp
    sinkinput.cpp
    modulemanager.cpp
    gconfitem.cpp
    source.cpp
    sourceoutput.cpp
    stream.cpp
    volumeobject.cpp
    debug.cpp
    server.cpp
    streamrestore.cpp
    module.cpp
    qml/globalactioncollection.cpp
    qml/plugin.cpp
    qml/volumeosd.cpp
    qml/volumefeedback.cpp
)

set(qml_SRCS
    qml/qmldir
    qml/PulseObjectFilterModel.qml
)

set_property(SOURCE qml/dbus/osdService.xml APPEND PROPERTY CLASSNAME OsdServiceInterface)
qt5_add_dbus_interface(dbus_SRCS qml/dbus/osdService.xml osdservice)

add_library(plasma-volume-declarative SHARED ${dbus_SRCS} ${cpp_SRCS} ${qml_SRCS})
target_link_libraries(plasma-volume-declarative
    Qt5::Core
    Qt5::Gui
    Qt5::DBus
    Qt5::Quick
    KF5::GlobalAccel
    ${PULSEAUDIO_LIBRARY}
    ${PULSEAUDIO_MAINLOOP_LIBRARY}
    ${GCONF_LDFLAGS}
    ${GOBJECT_LDFLAGS}
    ${CANBERRA_LIBRARIES}
)

set(PRIVATE_QML_INSTALL_DIR ${QML_INSTALL_DIR}/org/kde/plasma/private/volume)
install(TARGETS plasma-volume-declarative DESTINATION ${PRIVATE_QML_INSTALL_DIR})
install(FILES ${qml_SRCS} DESTINATION ${PRIVATE_QML_INSTALL_DIR})

add_subdirectory(kcm)

=== src/kcm/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

file(GLOB QML_SRCS package/contents/ui/*.qml)

set(kcm_SRCS
    ${QML_SRCS}
    module.cpp
)

add_library(kcm_pulseaudio MODULE ${kcm_SRCS})

target_link_libraries(kcm_pulseaudio
    Qt5::Quick
    KF5::CoreAddons
    KF5::Declarative
    KF5::I18n
    KF5::QuickAddons
    ${PULSEAUDIO_LIBRARY}
    ${PULSEAUDIO_MAINLOOP_LIBRARY}
)

kcoreaddons_desktop_to_json(kcm_pulseaudio "kcm_pulseaudio.desktop")

install(FILES kcm_pulseaudio.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_pulseaudio DESTINATION ${PLUGIN_INSTALL_DIR}/kcms)

kpackage_install_package(package kcm_pulseaudio kcms)

=== debian/changelog ===
plasma-pa (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:18 +0100

plasma-pa (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:06 +0100

plasma-pa (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:36 +0100

plasma-pa (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:50 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libpulse-dev (>= 5.0.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma/([\d.]+)/plasma-pa-([\d.]+)\.tar\.xz

## plasma-pa 5.13.5

=== debian/changelog ===
plasma-pa (4:5.13.5-0ubuntu2) cosmic; urgency=medium

  * Add depends on libcanberra-pulse, required for 'volume feedback' in
    system tray.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 09 Sep 2018 22:00:17 +0100

plasma-pa (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:39 +0100

plasma-pa (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu packaging Vcs fields.
    - Bumped frameworks build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 16:47:56 +0100

plasma-pa (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * New upstream release (5.13.4).
  * Drop upstream patch
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:18 +0200

plasma-pa (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)
  * Drop upstream applied Make-GConf-optional-dependency.patch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:42:53 +0100

plasma-pa (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:43 +0100

plasma-pa (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Make GConf optional dependency
  * Build without gconf.
    Thanks to Martin Steigerwald for following this, and David Rosca for the patch
    (Closes: 886048)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:20 +0200

plasma-pa (4:5.12.6-0ubuntu2) cosmic; urgency=medium

  * Sync following changes from debian:
    - Make GConf optional dependency
    - Build without gconf.
      Thanks to Martin Steigerwald for following this, and David Rosca
      for the patch (Closes: 886048)
    See KDE Bug: https://bugs.kde.org/show_bug.cgi?id=386665

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Jul 2018 10:29:07 +0100

plasma-pa (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:55 +0100

plasma-pa (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:08 +0200

plasma-pa (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:54 +0100

plasma-pa (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:52 +0200

plasma-pa (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:03 +0100

plasma-pa (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:51 +0100

plasma-pa (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:04 +0100

plasma-pa (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:15 -0300

plasma-pa (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:43 +0200

plasma-pa (4:5.10.5-1) experimental; urgency=medium

  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Sync debian/watch with neon
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:48 +0200

plasma-pa (4:5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7)
     + KCM: Fix 100% volume label position with RTL
     + Context: Use DBus service watcher to reconnect to pulseaudio
        Make sure to reconnect to pulseaudio after it crashes.
        Fixes KDE#358772

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Jun 2017 14:45:01 +0200

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               libcanberra-dev,
               libglib2.0-dev,
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5doctools-dev (>= 5.42.0~),
               libkf5globalaccel-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libpulse-dev (>= 5.0.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa

Package: plasma-pa
Architecture: any
Depends: libcanberra-pulse,
         plasma-framework,
         pulseaudio,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma 5 Volume controller
 Volume controller for Plasma 5

## plasma-pa 5.14.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-volume-control)

set(PROJECT_VERSION "5.14.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.50.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_pulseaudio\" -DQT_NO_KEYWORDS)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)

include(FindPkgConfig)
pkg_check_modules(GCONF gconf-2.0)
pkg_check_modules(GOBJECT gobject-2.0)
if (GCONF_FOUND AND GOBJECT_FOUND)
    set(HAVE_GCONF TRUE)
endif()

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    DBus
    Widgets
    Quick
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Declarative
    DocTools
    GlobalAccel
    I18n
    Plasma
)
find_package(PulseAudio 5.0.0 REQUIRED)
find_package(Canberra REQUIRED)
find_package(GLIB2 REQUIRED)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(applet)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(doc)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== debian/changelog ===
plasma-pa (4:5.14.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:08:01 +0800

plasma-pa (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:08 -0300

plasma-pa (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:06 -0300

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libcanberra-dev,
               libglib2.0-dev,
               libkf5configwidgets-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5doctools-dev (>= 5.50.0~),
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5plasma-dev (>= 5.50.0~),
               libpulse-dev (>= 5.0.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-pa
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-pa.git

Package: plasma-pa
Architecture: any
Depends: plasma-framework,
         pulseaudio,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma 5 Volume controller
 Volume controller for Plasma 5

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='plasma-pa-dbg (<= 5.5.5-1~~)'

## plasma-pa 5.15.4

=== debian/changelog ===
plasma-pa (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:43 +0100

plasma-pa (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:06 +0000

plasma-pa (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:15:13 +0000

plasma-pa (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:37 +0000

plasma-pa (4:5.15.0a-0ubuntu1) disco; urgency=medium

  * Add qml-module-org-kde-kirigami2 runtime dep.
  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 10:50:51 +0000

plasma-pa (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:25:29 +0000

plasma-pa (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:57 +0000

plasma-pa (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:01 +0000

=== debian/control ===
Source: plasma-pa
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libcanberra-dev,
               libglib2.0-dev,
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libpulse-dev (>= 5.0.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-pa

Package: plasma-pa
Architecture: any
Depends: libcanberra-pulse,
         plasma-framework (>= 5.54.0~),
         pulseaudio,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma 5 Volume controller
 Volume controller for Plasma 5
